{% extends "base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block head %}
{{ super() }}
<meta name="robots" content="noindex,nofollow" />
{% endblock %}

{% block content %}

{% block page_content %}

<div class="video-container flex-container flx-aln-center">
    <div id="video-placeholder">
        <input type="hidden" id="initVidId" value="{{first_video_id}}" />
    </div>
</div>

<div class="audio-container" style="display: hidden">
    <audio id="audio-player" src="{{station.flux}}"></audio>
</div>

{% endblock %}

{% block sidebar_right %}
<div class="rsidebar-container">
    <div class="rsidebar">
        <div class="title">about...</div>
        <div class="logo">
            <div id="current-logo" style='background-image: url("{{station.logo}}");'>
            </div>
        </div>
        <div class="disclaimer">
            <p>
                © <a target="_blank" href="{{ station.url }}"><span>{{ station.disclaimer }}</span></a>.
                <br/>All Rights Reserved. All images and logos
                <br/>are copyrighted to their respective owners. </p>
        </div>

        <ul class="nav">
            <li><span>
                <div class="sidebar-controls">
                    <div>Music channels</div>
                    <ul class="sidebar-item-list channels">
                        {% for chan in rsidebar_channels %}
                        <li>
                            <button name="switch-station" id="{{chan.id}}" style='background-image: url("{{chan.logo}}");' {% if station_id == chan.id %}class="active"{% endif %}>
                            </button>
                        </li>
                        {% endfor %}
                    </ul>
                </div>
            </span></li>
            <li><span>
                <div class="sidebar-controls">
                    <div>Music controls</div>
                    <ul class="sidebar-item-list">
                        <li>
                            <button id="toggle-music"><img src="{{ url_for('static', filename='img/controls/ic_pause_black_24px.svg') }}" /></button>
                        </li>
                        {# <li>
                            <button id="toggle-music3"><img src="{{ url_for('static', filename='img/controls/ic_pause_black_24px.svg') }}" /></button>
                        </li> #}
                    </ul>
                </div>
            </span></li>
            <li name="nav-menu-clickable" id="wtfis"><span>WTF Mix Me Harder ?</span></li>
            <li name="nav-menu-clickable" id="meuh"><span>Radiomeuh</span></li>
            <li name="nav-menu-clickable" id="active"><span>Radioactive</span></li>
            <li name="nav-menu-clickable" id="about"><span>About</span></li>
        </ul>
        <div class="credits">
            <p>Find me on <a href="https://www.linkedin.com/in/monfort">Linked In</a> | <a href="https://gitlab.com/gingerware">GitLab</a></p>
            <p>Matthias Monfort, 2017</p>
        </div>
    </div>
    {% block popup %}
    {% endblock %}
</div>
{% endblock %}



{% block sidebar_left %}
<div class="lsidebar-container">
    <div id="lsidebar" class="lsidebar flx-aln-start flx-jstf-start">
        <ul class="nav-section flex-container flx-aln-start flex-column">
            {% for item in lsidebar_elements %}
            <li name="category" class="flex-container flx-aln-center flex-column" id="{{ item.id }}">
                <div class="nav-item">
                    <span class="title flx-aln-center flx-jstf-center flex-row">
                        <span class="text">{{ item.title }}</span>
                        <span class="logo">
                            <img src="{{ item.logo if item.logo != None else url_for('static', filename='img/controls/ic_play_circle_filled_black_24px.svg') }}"/>
                        </span>
                    </span>
                    <span class="desc flx-aln-center flx-jstf-center">{{ item.description }}</span>
                    {% if item.logo_credit != None %}
                    <span class="desc desc-small flx-aln-center flx-jstf-center">Icon from {{ item.logo_credit }}</span>
                    {% endif %}
                </div>
            </li>
            {% endfor %}
        </ul>
    </div>
</div>
{% endblock %}

{% block floatingcontrol %}
<div class="floatingcontrol-container">

    <div class="floatingcontrol flex-container flx-aln-center flex-row flx-jstf-spevn">
        <div id="prev-vid" class="control previous-vid clickable">
            <img src="{{ url_for('static', filename='img/controls/ic_skip_previous_white_24px.svg') }}" />
        </div>
        <div id="next-vid" class="control next-vid clickable">
            <img src="{{ url_for('static', filename='img/controls/ic_skip_next_white_24px.svg') }}" />
        </div>
            <!-- <div  class="clickable">></div> -->
        <!-- </div> -->
    </div>
</div>
{% endblock %}


{% block radio_modals %}
    {% for radio_id in all_stations %}
    <div id="{{radio_id}}-modal" class="modal fade">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title">{{ all_stations[radio_id].modal_title }}</span>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body" style="color:black;">
            <span><img class="modal-logo" src="{{ all_stations[radio_id].logo }}"/></span>
            <span>{{ all_stations[radio_id].modal_content|safe }}</span>
            <div class="modal-links flex-container flx-aln-center flex-row flx-jstf-spevn">
                <a target="_blank" href="{{ all_stations[radio_id].url }}">Homepage</a>
                {% for extra_link in all_stations[radio_id].extra_links %}
                <a target="_blank" href="{{ extra_link[1] }}">{{ extra_link[0] }}</a>
                {% endfor %}
            </div>
          </div>
        </div>
      </div>
    </div>
    {% endfor %}
{% endblock %}

<div name="" id="wtfis-modal" class="modal fade">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title">WTF is Mix Me Harder ?</span>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" style="color:black;">
        <p><b>Mix Me Harder</b> is nice website developped for semi-random youtube videos & music lovers..</p>
        <p>One who has already hosted a party knows the struggle to keep your mofo guests' drinks and greasy fingers away from your brand new computer...<br/>
        Mix Me Harder will prevent any unforeseen damage to your lovely nerd machine by providing you with an non questionable authority in music and video playlist choice. Everyone will be happy with the music and the videos, noone will ever touch your computer again.</p>
        <p>For real, MMH just preselects videos and broadcasts one of the radio selected among the most awesome radio stations ever</p>
        <div class="modal-sign">Matthias Monfort</div>
      </div>
    </div>
  </div>
</div>

<div id="about-modal" class="modal fade">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title">About</span>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" style="color:black;">
        <p>MixMeHarder is nothing serious, but if you like it, feel free to do pull request @ <a href="https://gitlab.com/monfort/web/mixmeharder">gitlab.com/monfort/web/mixmeharder</a>. <br/><br/>MixMeHarder was tested on <b>Firefox only</b>, if you use something else, don't :)</p>
        <!-- <div class="modal-sign">Matthias Monfort</div> -->
      </div>
    </div>
  </div>
</div>
{% endblock %}


{% block scripts %}
{{ super() }}
{% endblock %}


{#<!-- {% block bottombar %}
<div class="bottombar">
    <div class="text">Switch station...</div>
    <div class="container">
        <div id="meuh" class="mushroom">
            <img class="logo" src="{{ url_for('static', filename='img/radiomeuh-logo.svg') }}"/>
            <h3>MEEEUH</h3>

        </div>
        <div id="activ" class="mushroom">
            <h3>ACTIV</h3>
        </div>
    </div>
</div>
{% endblock %} --> #}